<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="RadGrid.Net2" Namespace="Telerik.WebControls" TagPrefix="radG" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <radG:RadGrid ID="RadGrid1" runat="server" AllowSorting="true" EnableAJAX="true" DataSourceID="SqlDataSource1" AllowAutomaticDeletes="true" AllowAutomaticInserts="true" AllowAutomaticUpdates="true">
                <MasterTableView AutoGenerateColumns="False" DataKeyNames="EmployeeID" DataSourceID="SqlDataSource1" CommandItemDisplay="TopAndBottom">
                    <EditFormSettings>
                        <EditColumn CancelImageUrl="~/RadControls/Grid/Skins/Default/Cancel.gif" EditImageUrl="~/RadControls/Grid/Skins/Default/Edit.gif"
                            InsertImageUrl="~/RadControls/Grid/Skins/Default/Insert.gif" UniqueName="EditCommandColumn"
                            UpdateImageUrl="~/RadControls/Grid/Skins/Default/Update.gif">
                        </EditColumn>
                    </EditFormSettings>
                    <Columns>
                        <radG:GridEditCommandColumn UniqueName="EditCommandColumn" ButtonType="imagebutton" />
                        <radG:GridBoundColumn DataField="EmployeeID" DataType="System.Int32" HeaderText="EmployeeID"
                            ReadOnly="True" SortExpression="EmployeeID" UniqueName="EmployeeID">
                        </radG:GridBoundColumn>
                        <radG:GridBoundColumn DataField="LastName" HeaderText="LastName" SortExpression="LastName"
                            UniqueName="LastName">
                        </radG:GridBoundColumn>
                        <radG:GridBoundColumn DataField="FirstName" HeaderText="FirstName" SortExpression="FirstName"
                            UniqueName="FirstName">
                        </radG:GridBoundColumn>
                        <radG:GridBoundColumn DataField="Title" HeaderText="Title" SortExpression="Title"
                            UniqueName="Title">
                        </radG:GridBoundColumn>
                        <radG:GridBoundColumn DataField="HireDate" DataType="System.DateTime" HeaderText="HireDate"
                            SortExpression="HireDate" UniqueName="HireDate" DataFormatString="{0:d}">
                        </radG:GridBoundColumn>
                        <radG:GridBoundColumn DataField="Address" HeaderText="Address" SortExpression="Address"
                            UniqueName="Address">
                        </radG:GridBoundColumn>
                        <radG:GridButtonColumn UniqueName="ButtonColumn" Text="Delete" CommandName="Delete" ButtonType="imagebutton" ImageUrl="RadControls/Grid/Skins/Default/Delete.gif" />
                    </Columns>
                </MasterTableView>
            </radG:RadGrid><asp:SqlDataSource ID="SqlDataSource1" runat="server" ConflictDetection="CompareAllValues"
                ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" DeleteCommand="DELETE FROM [Employees] WHERE [EmployeeID] = @original_EmployeeID"
                InsertCommand="INSERT INTO [Employees] ([LastName], [FirstName], [Title], [HireDate], [Address]) VALUES (@LastName, @FirstName, @Title, @HireDate, @Address)"
                OldValuesParameterFormatString="original_{0}" SelectCommand="SELECT [EmployeeID], [LastName], [FirstName], [Title], [HireDate], [Address] FROM [Employees]"
                UpdateCommand="UPDATE [Employees] SET [LastName] = @LastName, [FirstName] = @FirstName, [Title] = @Title, [HireDate] = @HireDate, [Address] = @Address WHERE [EmployeeID] = @original_EmployeeID AND [LastName] = @original_LastName AND [FirstName] = @original_FirstName AND [Title] = @original_Title AND [HireDate] = @original_HireDate AND [Address] = @original_Address">
                <DeleteParameters>
                    <asp:Parameter Name="original_EmployeeID" Type="Int32" />
                </DeleteParameters>
                <UpdateParameters>
                    <asp:Parameter Name="LastName" Type="String" />
                    <asp:Parameter Name="FirstName" Type="String" />
                    <asp:Parameter Name="Title" Type="String" />
                    <asp:Parameter Name="HireDate" Type="DateTime" />
                    <asp:Parameter Name="Address" Type="String" />
                    <asp:Parameter Name="original_EmployeeID" Type="Int32" />
                    <asp:Parameter Name="original_LastName" Type="String" />
                    <asp:Parameter Name="original_FirstName" Type="String" />
                    <asp:Parameter Name="original_Title" Type="String" />
                    <asp:Parameter Name="original_HireDate" Type="DateTime" />
                    <asp:Parameter Name="original_Address" Type="String" />
                </UpdateParameters>
                <InsertParameters>
                    <asp:Parameter Name="LastName" Type="String" />
                    <asp:Parameter Name="FirstName" Type="String" />
                    <asp:Parameter Name="Title" Type="String" />
                    <asp:Parameter Name="HireDate" Type="DateTime" />
                    <asp:Parameter Name="Address" Type="String" />
                </InsertParameters>
            </asp:SqlDataSource>
        </div>
    </form>
</body>
</html>
